import Vuex from 'vuex';
import Vue from 'vue';

Vue.use(Vuex);

export default new Vuex.Store({
  state: {},

  actions: {},

  mutations: {
    // General state
    languages(state, data) {
      state.languages = data;
    },
    footerStyle(state, data) {
      state.footerStyle = data;
    },
    enableComponents(state, data) {
      state.enableComponents = data;
    },

    // Custom Layout
    customInformations(state, data) {
      state.customInformations = data;
    },
    customServices(state, data) {
      state.customServices = data;
    },
    customAccount(state, data) {
      state.customAccount = data;
    },
    customContact(state, data) {
      state.customContact = data;
    },
    customSocialUrls(state, data) {
      state.customSocialUrls = data;
    },
    customSocialStyle(state, data) {
      state.customSocialStyle = data;
    },
    customPayment(state, data) {
      state.customPayment = data;
    },
    customCertificates(state, data) {
      state.customCertificates = data;
    },
    customOptions(state, data) {
      state.customOptions = data;
    },
    customLayout(state, data) {
      state.customLayout = data;
    },

    // Dynamic Layout
    dynamicInformations(state, data) {
      state.dynamicInformations = data;
    },
    dynamicServices(state, data) {
      state.dynamicServices = data;
    },
    dynamicAccount(state, data) {
      state.dynamicAccount = data;
    },
    dynamicContact(state, data) {
      state.dynamicContact = data;
    },
    dynamicSocialUrls(state, data) {
      state.dynamicSocialUrls = data;
    },
    dynamicSocialStyle(state, data) {
      state.dynamicSocialStyle = data;
    },
    dynamicPayment(state, data) {
      state.dynamicPayment = data;
    },
    dynamicCertificates(state, data) {
      state.dynamicCertificates = data;
    },
    dynamicOptions(state, data) {
      state.dynamicOptions = data;
    },
  },
});
